The Foxy forums are on the move!

We're in the process of moving our forums over to a new system, and so these forums are now read-only.
If you have a question about your store in the meantime, please don't hesitate to reach out to us via email.

Cart Validation Error: Size

chubbard216chubbard216 Member
in Help edited August 2013
My clients site has been experiencing a number of Cart Validation Errors recently, but I have been unable to replicate (and fix) them.

Every single one of the errors is 'Size', and has 'Mozilla 4.0' or 'Mozilla 5.0' listed as the first Agent.

I am using the standard cart and the standard checkout (for now anyways).

The site domain is http://campbellssweets.com

Any insight into what might be causing this would be greatly appreciated.
Comments
  • fc_adamfc_adam FoxyCart Team
    @chubbard216,

    One thing to note - your foundation.min.js file is blocking the colorbox functionality for your site - specifically because it's including its own version of jQuery - which blows away anything that has been added to the existing jQuery (which in this case is the FoxyCart colorbox.

    You could put the foxycart.colorbox.js file after your foundation javascript file to make it use the jQuery included in Foundation, but as Foundation is using jQuery 1.9.X - that won't be compatible with the 1.0 FoxyCart javascript. So two options there - either update your store to 1.1 which is compatible with jQuery 1.9.X, or you need to also include the jQuery migrate script to bring back the functionality removed in jQuery 1.9. I'd suggest upgrading to 1.1 if possible.

    In terms of the issue you're seeing, that's really weird. I'm unable to get it to fall over here, but from what I can see, it relates to people selecting the 1 gallon bucket of popcorn exclusively. The encryption all looks correct though from what I can see, so yeah - that's really confusing. I can't see anything from my side that could be the issue here. I'm going to ask some other team members to take a look and see if they can see anything.
  • @fc_adam,

    Thanks for the heads up on the jQuery, I will take a look at upgrading to 1.1 later tonight.

    As far as the Validation Error is concerned, were you able to garner any insight into what might be causing it?

    I have tried over and over again to replicate the issue and to no avail.
  • fc_adamfc_adam FoxyCart Team
    @chubbard216,

    Unfortunately no, I just can't seem to replicate. I've asked some other team members to take a look at it too.
  • brettbrett FoxyCart Team
    Have you tested in IE? IE will report as Mozilla, and IE is (as far as I'm aware) the only browser that'll limit the size of those requests. Reproducing it is the first step, but my hunch is that it's IE, so try that and let us know if you can replicate it.
  • @brett,

    I was suspicious that IE may have been the culprit as well, but the 'Agent' field on the Error Report through me off.

    I will run some IE tests later tonight and report back.

    Also, is there a setting in the Admin panel to enable notifications for Errors? I would be really nice for developers to be notified immediately when the store isn't function properly.
  • fc_adamfc_adam FoxyCart Team
    @chubbard216,

    Unfortunately there currently isn't - but it is something we're aware there is a need for. Hopefully we'll be able to include it in an upcoming rebuild of the admin.
Sign In or Register to comment.